icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

ProFTPD < 1.3.0rc4 Multiple Modules Authentication Bypass

Medium

Synopsis

The remote host is vulnerable to a flaw that allows for the bypassing of authentication.

Description

The remote host is using ProFTPD, a free FTP server for Unix and Linux. According to its banner, the version of ProFTPD installed on the remote host suffers from a flaw where a user can bypass access controls. An attacker exploiting this flaw would need the ability to authenticate to the server. Successful exploitation would result in the attacker elevating privileges or accessing confidential data.

Solution

Upgrade to version 1.3.0rc4 or higher.